package de.japhy.tools.configLog4j;

import java.awt.Color;

/**
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class ConfigLog4jConfiguration {

  //trick to have different values for all INT enums.
  private static int i=6;

  //public static final Color COLOR_EMPH=Color.red;
  public static final Color COLOR_NORMAL=Color.black;
  public static final Color COLOR_BACKGROUND=new Color(204,204,204);
  public static final Color COLOR_ICON_BACKGROUNG=Color.black;
  public static final Color COLOR_ICON_BORDER=Color.darkGray;

  public static Color COLOR_FATAL = Color.red;
  public static Color COLOR_ERROR = Color.orange;
  public static Color COLOR_WARN  = Color.yellow;
  public static Color COLOR_INFO  = Color.blue;
  public static Color COLOR_DEBUG = Color.white;
  public static Color COLOR_NONE  = Color.black;

  protected static final Integer FATAL = new Integer(i++);
  protected static final Integer ERROR = new Integer(i++);
  protected static final Integer WARN  = new Integer(i++);
  protected static final Integer INFO  = new Integer(i++);
  protected static final Integer DEBUG = new Integer(i++);
  protected static final Integer NONE  = new Integer(i++);

  
  public ConfigLog4jConfiguration() {
  }
}
