/**
 * This Software is freeware.
 * Feel free to use/modify/distribute.
 */
package de.japhy.tools.configLog4j;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;
import java.util.TreeSet;
import java.util.StringTokenizer;
import java.util.Iterator;
import java.io.*;
import javax.swing.border.*;
import java.net.URL;
import java.util.Properties;
import javax.swing.JEditorPane;

import java.net.URL;
import java.net.MalformedURLException;
import java.io.*;
import javax.swing.text.*;
import javax.swing.event.*;

/**
 * Implements specific methods of the superclass.
 *
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class HelpFrame extends JFrame {
  //JScrollPane jScrollPane1 = new JScrollPane();
  JPanel helpPanel = new JPanel();
  //JEditorPane browser = new JEditorPane();


  public HelpFrame(String htmlHelpPath) {
  /*
    try {
      jbInit();
      browser.setEditable(false);
      URL helpIndex=ClassLoader.getSystemResource("index.html");
      browser.setPage(helpIndex);
      helpPanel.add(browser, null);
    }
    catch(Exception e) {
      e.printStackTrace();
    }
  */
  	HtmlPane html = new HtmlPane();
        this.getContentPane().add(html, BorderLayout.CENTER);

  }

  private void jbInit() throws Exception {
    this.setSize(new Dimension(400,400));
    //this.setPreferredSize(new Dimension(400, 400));
    //browser.setToolTipText("aberhallo");
    //browser.setMinimumSize(new Dimension(40, 23));
    //helpPanel.setPreferredSize(new Dimension(0, 0));
    helpPanel.setToolTipText("asdfasdf");
    //jScrollPane1.setPreferredSize(new Dimension(0, 0));
    //this.getContentPane().add(jScrollPane1, BorderLayout.CENTER);
    //jScrollPane1.getViewport().add(helpPanel, null);
  }

class HtmlPane extends JScrollPane implements HyperlinkListener {
    JEditorPane html;

    public HtmlPane() {
	try {
            URL helpIndex=ClassLoader.getSystemResource("index.html");

	    html = new JEditorPane(helpIndex);
	    html.setEditable(false);
	    html.addHyperlinkListener(this);

	    JViewport vp = getViewport();
	    vp.add(html);
	} catch (MalformedURLException e) {
	    System.out.println("Malformed URL: " + e);
	} catch (IOException e) {
	    System.out.println("IOException: " + e);
	}
    }

    /**
     * Notification of a change relative to a
     * hyperlink.
     */
    public void hyperlinkUpdate(HyperlinkEvent e) {
	if (e.getEventType() == HyperlinkEvent.EventType.ACTIVATED) {
	    linkActivated(e.getURL());
	}
    }

    /**
     * Follows the reference in an
     * link.  The given url is the requested reference.
     * By default this calls <a href="#setPage">setPage</a>,
     * and if an exception is thrown the original previous
     * document is restored and a beep sounded.  If an
     * attempt was made to follow a link, but it represented
     * a malformed url, this method will be called with a
     * null argument.
     *
     * @param u the URL to follow
     */
    protected void linkActivated(URL u) {
	Cursor c = html.getCursor();
	Cursor waitCursor = Cursor.getPredefinedCursor(Cursor.WAIT_CURSOR);
	html.setCursor(waitCursor);
	SwingUtilities.invokeLater(new PageLoader(u, c));
    }

    /**
     * temporary class that loads synchronously (although
     * later than the request so that a cursor change
     * can be done).
     */
    class PageLoader implements Runnable {

	URL url;
	Cursor cursor;

	PageLoader(URL u, Cursor c) {
	    url = u;
	    cursor = c;
	}

        public void run() {
	    if (url == null) {
		// restore the original cursor
		html.setCursor(cursor);

		// PENDING(prinz) remove this hack when
		// automatic validation is activated.
		Container parent = html.getParent();
		parent.repaint();
	    } else {
		Document doc = html.getDocument();
		try {
		    html.setPage(url);
		} catch (IOException ioe) {
		    html.setDocument(doc);
		    getToolkit().beep();
		} finally {
		    // schedule the cursor to revert after
		    // the paint has happended.
		    url = null;
		    SwingUtilities.invokeLater(this);
		}
	    }
	}

      }
    }

}