/**
 * This Software is freeware.
 * Feel free to use/modify/distribute.
 */
package de.japhy.tools.configLog4j;

import java.io.PrintWriter;
import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.IOException;
import java.io.File;
import java.util.TreeSet;

/**
 * Rids all java source files of all content, leaving only the
 * raw directory structure.
 *
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class KillSourceContent extends DirRecursor{

  public static void main(String[] args) {
    System.err.println("killing.. starting from "+args[0]);
    KillSourceContent ksc = new KillSourceContent();
    ksc.getPaths(new File(args[0]));
  }

    protected void postTreatFile(File file){
      System.err.println("KILLING: "+file.toString());
      try{
        file.delete();
        file.createNewFile();
      }catch(Exception e){  e.toString(); System.exit(-1); }
    }

}
