/**
 * This Software is freeware.
 * Feel free to use/modify/distribute.
 */
package de.japhy.tools.configLog4j;

import javax.swing.JPanel;
import javax.swing.Icon;
import javax.swing.JTree;
import javax.swing.tree.DefaultMutableTreeNode;
import javax.swing.tree.TreePath;
import javax.swing.event.TreeSelectionListener;
import javax.swing.event.TreeSelectionEvent;
import javax.swing.tree.TreeSelectionModel;
import javax.swing.tree.DefaultTreeCellRenderer;
import javax.swing.ImageIcon;
import javax.swing.ToolTipManager;
import java.net.URL;
import java.io.IOException;
import javax.swing.JEditorPane;
import javax.swing.JScrollPane;
import javax.swing.JSplitPane;
import javax.swing.JFrame;
import java.awt.Color;
import java.awt.Dimension;
import java.awt.Cursor;
import java.awt.Component;
import javax.swing.*;
import java.awt.*;
import java.awt.event.*;

import java.awt.BorderLayout;

import java.awt.event.*;

import java.util.TreeSet;
import java.util.Iterator;


/**
 * Renders an icon displaying the state of the node to be drawn.
 *
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class PropagatingRenderer extends DefaultTreeCellRenderer {

  public PropagatingRenderer(){
    this.backgroundNonSelectionColor = ConfigLog4jConfiguration.COLOR_BACKGROUND;
    this.textNonSelectionColor = ConfigLog4jConfiguration.COLOR_NORMAL;

            setToolTipText("right click package/class to set priority !");
  }
  public Component getTreeCellRendererComponent(
                            JTree tree,
                            Object value,
                            boolean sel,
                            boolean expanded,
                            boolean leaf,
                            int row,
                            boolean hasFocus) {

    super.getTreeCellRendererComponent(
      tree, value, sel,
      expanded, leaf, row,
      hasFocus);

    //if(value.getClass().isInstance(PropagatingNode.class)){
      PropagatingNode node=(PropagatingNode) value;
      this.setIcon(node.getIcon());
    //}
    return this;
  }
}
