/**
 * This Software is freeware.
 * Feel free to use/modify/distribute.
 */
package de.japhy.tools.configLog4j;

import javax.swing.*;
import java.awt.Color;
import java.awt.Graphics;

/**
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class ColorPanel extends JPanel {
  private Color col;
  public ColorPanel(Color col){ this.col = col; }
  public void paint(Graphics g){
    super.paint(g);
    g.setColor(ConfigLog4jConfiguration.COLOR_ICON_BORDER);
    g.fillOval(0, 0, this.getWidth()-1, this.getHeight()-1);
    g.setColor(col);
    g.fillOval(0, 0, this.getWidth()-3, this.getHeight()-3);
  }
}