/**
 * This Software is freeware.
 * Feel free to use/modify/distribute.
 */
package de.japhy.tools.configLog4j;

/**
 * @author  <A HREF="mailto:tobias@dezulian.de">Tobias Dezulian</A>
 */
public class XmlStringBuilder implements StringBuilder{

    public String constructCat(String cat, String prio, String additivity, String[] appenderRefs){

	StringBuffer middle = new StringBuffer();

	middle.append("<category \n");
	middle.append("               name=\"" + cat + "\"");

	if (additivity != null) {
	    middle.append("\n               additivity=\"" + additivity + "\"");
	}

	middle.append(">\n");
	middle.append("  <priority value=\"" + prio + "\" />\n");

	if (appenderRefs != null) {
	    for (int i = 0; i < appenderRefs.length; i++) {

		//      middle.append("  <appender-ref ref=\"STDOUT\" />\n");
		middle.append("  <appender-ref ref=\"" + appenderRefs[i]
			      + "\" />\n");
	    }
	}

	middle.append("</category>\n\n");

	return middle.toString();
    }


    public String constructComment(String anything){

	StringBuffer middle = new StringBuffer();

	middle.append("<!-- ***************************************** -->\n");
	middle.append("<!-- * " + anything + " -->\n");
	middle.append("<!-- ***************************************** -->\n");

	return middle.toString();
    }


}